Page MenuHomePhabricator

Allow BetaFeatures page to be shown outside Special:Preferences effectively SpecialBetaFeatures
Closed, DeclinedPublic

Description

Due to BetaFeatures being part of Special:Preferences it limits its use on Mobile, as well as the possibility of exposing it to logged out users.

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Normal.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.

What? We've agreed that we're not intending to ever mix up Beta Features and logged out users. There was an exhaustive 3 hour long discussion about that precise subject. I'm lost.

@Jdforrester-WMF if Mobile-web teams needs to use the Beta Features framework on mobile this will be needed in some form or fashion as mobile alpha and beta are available to IP users. Feel free to change the wording so that it is less specific to a particular technical solution. I'm just trying to express the issue that needs to be resolved.

@Jdforrester-WMF if Mobile-web teams needs to use the Beta Features framework on mobile this will be needed in some form or fashion as mobile alpha and beta are available to IP users. Feel free to change the wording so that it is less specific to a particular technical solution. I'm just trying to express the issue that needs to be resolved.

OK, is this the plan, though? First I've heard of it, and frankly BF is not suitable for this kind of use. Who suggested this and why?

Ah. Well, this sounds like a huge amount of disruptive work in an area that isn't resourced at all. :-(

To be clear I've not suggested anything about actually doing this.
I just said on T67079 that we shouldn't reinvent the wheel in mobile and reimplement something that already exists (BetaFeatures).

I would be interested in exploring mobile replacing alpha with beta features though. Main blocker being T78096

Jaredzimmerman-WMF lowered the priority of this task from Normal to Low.Dec 10 2014, 8:04 PM

I don't know that we need to focus on it right now, lowering priority.

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptMay 13 2015, 8:37 PM
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Aug 4 2015, 6:38 PM

Change 236194 had a related patch set uploaded (by Jdlrobson):
Allow rendering of each individual preference section

https://gerrit.wikimedia.org/r/236194

Jdlrobson changed the task status from Open to Stalled.Nov 6 2015, 7:29 PM
Jdlrobson added a subscriber: TheDJ.

Stalled until I hear back from @TheDJ, copying my comment across from Gerrit:

Currently the mobile site preferences page is like this:
https://en.m.wikipedia.org/wiki/Special:Preferences
e.g. the front page is actually just a list of the options.
The preferences page as is, is too big for mobile and I believe needs to take this page per preferences section approach going forward with JS to enhance it....
The JS doesn't exist yet but I see that as a next stage in the process.
Any guidance you can offer on how we can make this more usable in mobile?

Change 236194 abandoned by Jdlrobson:
Allow rendering of each individual preference section

Reason:
Resolve later

https://gerrit.wikimedia.org/r/236194

Is anyone still interested in getting the preferences displaying on mobile? I'd like to see this happen but I'm not seeing any momentum to make that happen :(

Jdlrobson closed this task as Declined.Jul 10 2017, 10:36 PM

I don't see this as happening